<?php

// Function for define Shortcode widget
function wli_get_en_de_widget() {

	ob_start();

    // Get Shortcode widget title
    if( "" == get_option( "ende_shortcode_widget_title" ) ){

        $widget_title = __('Encode Decode Tool', 'encode-decode-tool');

    }else{

        $widget_title = get_option( "ende_shortcode_widget_title" );

    }

	$instance = array(
    	'title' => esc_html( $widget_title ),
    );
    
    the_widget('Encode_Decode_Tool_Widget', $instance, array(
        'before_widget' => '<div class="en-de-shortcode-wrap">',
        'after_widget' => '</div>',
        'before_title' => '<h3 class="widgettitle">',
        'after_title' => '</h3>'
    ));
    
    $contents = ob_get_contents();
    
    ob_get_clean(); 

    return $contents;
}

add_shortcode('encode_decode_tool', 'wli_get_en_de_widget');

?>